#!/usr/bin/python

import sys, os, thread, time, threading, logging, socket ,traceback, struct
from vdsAgentUtils import *
#import win32event
QguestPlatform = None
if sys.platform == 'win32':
    import qGuestAgentWin32
    QguestPlatform = qGuestAgentWin32
    
elif sys.platform == 'linux2':
    import qGuestAgentLinux2
    QguestPlatform = qGuestAgentLinux2
else:
    sys.exit(-1)



def getVdsAgentLogicObj():
    retval = QguestPlatform.vdsAgent()
    return retval

    
    
if __name__ == "__main__":
    vdsAgent = getVdsAgentLogicObj()
    vdsAgent.run()
